Skip to main content
POST
/
generation
/
openai
/
sora-2-pro
Sora 2 Pro
curl --request POST \
  --url https://open.skills.video/api/v1/generation/openai/sora-2-pro \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat walking through neon rain",
    "duration": 5,
    "aspect_ratio": "16:9",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.skills.video/llms.txt

Use this file to discover all available pages before exploring further.

Upto 1080p, precise multi-shot control, audio-backed.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required
seconds
default:4
resolution
enum<string>
default:720p
Available options:
720p,
1080p
aspect_ratio
enum<string>
default:9:16
Available options:
9:16,
16:9
first_frame_url
string<uri> | null
n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
object
required
usage
object
required

Credit usage breakdown for the request